//Title:        Database (interface)
//Version:      0.1
//Copyright:    Copyright (c) 1999
//Author:       Elwood Wray Johnson
//Organization: Object Data Management Group (ODMG)
//Description:  Object Definition Language (ODL)

package org.odmg.odl.metaobjects;

public interface Database
{
  public void open (java.lang.String name);
  public void close ();
  public void bind (Object anObject, String name);
  public Object unbind (String name);
  public Object lookup (String name);
  public void setSchema(Repository newSchema);
  public Repository getSchema();
}
