//Title:        Enumeration (interface)
//Version:      0.1
//Copyright:    Copyright (c) 1999
//Author:       Elwood Wray Johnson
//Organization: Object Data Management Group (ODMG)
//Description:  Object Definition Language (ODL)

package org.odmg.odl.metaobjects;

import java.beans.*;
import org.odmg.oml.*;

public interface Enumeration extends ScopedType
{
  public void setElements(DList newElements);
  public DList getElements();
  static final public FeatureDescriptor elementsInverse =
    Relationship.Inverse.getDescriptor(Constant.class, "enumeration");
}
