//Title:        Exception (interface)
//Version:      0.1
//Copyright:    Copyright (c) 1999
//Author:       Elwood Wray Johnson
//Organization: Object Data Management Group (ODMG)
//Description:  Object Definition Language (ODL)

package org.odmg.odl.metaobjects;

import java.beans.*;
import org.odmg.oml.*;

public interface Exception extends MetaObject
{
  public Structure getResult();
  public void setResult(Structure newResult);
  static final public FeatureDescriptor resultInverse =
    Relationship.Inverse.getDescriptor(Structure.class, "exceptionResult");

  public DSet getOperations();
  public void setOperations(DSet newOperations);
  static final public FeatureDescriptor operationsInverse =
    Relationship.Inverse.getDescriptor(Operation.class, "exceptions");
}

