//Title:        Expression (interface)
//Version:      0.1
//Copyright:    Copyright (c) 1999
//Author:       Elwood Wray Johnson
//Organization: Object Data Management Group (ODMG)
//Description:  Object Definition Language (ODL)

package org.odmg.odl.metaobjects;

import java.beans.*;
import org.odmg.oml.*;

public interface Expression extends Operand
{
  public void setOperator(String newOperator);
  public String getOperator();

  public void setHasOperands(DList newHasOperands);
  public DList getHasOperands();
  static final public FeatureDescriptor hasOperandsInverse =
    Relationship.Inverse.getDescriptor(Operand.class, "operandIn");
}
