//Title:        Inheritance (interface)
//Version:      0.1
//Copyright:    Copyright (c) 1999
//Author:       Elwood Wray Johnson
//Organization: Object Data Management Group (ODMG)
//Description:  Object Definition Language (ODL)

package org.odmg.odl.metaobjects;

import java.beans.*;
import org.odmg.oml.*;

public interface Inheritance extends DObject
{
  public Interface getDerivesFrom();
  public void setDerivesFrom(Interface newDerivesFrom);
  static final public FeatureDescriptor derivesFromInverse =
    Relationship.Inverse.getDescriptor(Interface.class, "inherits");

  public Interface getInheritsTo();
  public void setInheritsTo(Interface newInheritsTo);
  static final public FeatureDescriptor inheritsToInverse =
    Relationship.Inverse.getDescriptor(Interface.class, "derives");
}

