//Title:        Member (interface)
//Version:      0.1
//Copyright:    Copyright (c) 1999
//Author:       Elwood Wray Johnson
//Organization: Object Data Management Group (ODMG)
//Description:  Object Definition Language (ODL)

package org.odmg.odl.metaobjects;

import java.beans.*;

public interface Member extends Specifier
{
  public void setStructureType(Expression newStructureType);
  public Expression getStructureType();
  static final public FeatureDescriptor structureTypeInverse =
    Relationship.Inverse.getDescriptor(Structure.class, "fields");
}
