//Title:        MetaObject (interface)
//Version:      0.1
//Copyright:    Copyright (c) 1999
//Author:       Elwood Wray Johnson
//Organization: Object Data Management Group (ODMG)
//Description:  Object Definition Language (ODL)

package org.odmg.odl.metaobjects;

import java.beans.*;
import org.odmg.oml.*;

public interface MetaObject extends DObject
{
  public String getName();
  public void setName(String newName);

  public String getComment();
  public void setComment(String newComment);

  public void setDefinedIn(DefiningScope newDefinedIn);
  public DefiningScope getDefinedIn();
  static final public FeatureDescriptor definedInInverse =
    Relationship.Inverse.getDescriptor(DefiningScope.class, "defines");
}
