//Title:        Parameter (interface)
//Version:      0.1
//Copyright:    Copyright (c) 1999
//Author:       Elwood Wray Johnson
//Organization: Object Data Management Group (ODMG)
//Description:  Object Definition Language (ODL)

package org.odmg.odl.metaobjects;

import java.beans.*;

public interface Parameter extends Specifier
{
  public Direction getParemeterMode();
  public void setParemeterMode(Direction newParemeterMode);

  public void setOperation(Operation newOperation);
  public Operation getOperation();
  static final public FeatureDescriptor operationInverse =
    Relationship.Inverse.getDescriptor(Operation.class, "signature");
}
