//Title:        Scope (interface)
//Version:      0.1
//Copyright:    Copyright (c) 1999
//Author:       Elwood Wray Johnson
//Organization: Object Data Management Group (ODMG)
//Description:  Object Definition Language (ODL)

package org.odmg.odl.metaobjects;

import java.beans.*;
import org.odmg.oml.*;

public abstract interface Scope extends DObject
{
  public final class DuplicateName extends java.lang.Exception {}
  public MetaObject resolve(String name);
  public MetaObject unBind(String name);
  public void bind(String name, MetaObject value) throws DuplicateName;
}
