//Title:        TypeDefinition (interface)
//Version:      0.1
//Copyright:    Copyright (c) 1999
//Author:       Elwood Wray Johnson
//Organization: Object Data Management Group (ODMG)
//Description:  Object Definition Language (ODL)

package org.odmg.odl.metaobjects;

import java.beans.*;

public interface TypeDefinition extends Type
{
  public Type getAlias();
  public void setAlias(Type newAlias);
  static final public FeatureDescriptor aliasInverse =
    Relationship.Inverse.getDescriptor(Type.class, "typeDefs");
}
