//Title:        Cardinality (interface)
//Version:      0.1
//Copyright:    Copyright (c) 1999
//Author:       Elwood Wray Johnson
//Organization: Object Data Management Group (ODMG)
//Description:  Object Definition Language (ODL)

package org.odmg.odl.metaobjects;

public final class Cardinality extends Enum
{
  static final public Cardinality c1_1  = new Cardinality("c1_1");
  static final public Cardinality c1_N = new Cardinality("c1_N");
  static final public Cardinality cN_1   = new Cardinality("cN_1");
  static final public Cardinality cN_M   = new Cardinality("cN_M");
  private String name;

  private Cardinality(String name)
  {
    super();
    setName(name);
  }

  static public java.util.Enumeration elements()
  {
    return Enum.elements(c1_1);
  }

  public void setName(String newName)
  {
    name = newName;
  }

  public String getName()
  {
    return name;
  }

  public String toString()
  {
    return getName();
  }
}

