//Title:        Class (interface)
//Version:      0.1
//Copyright:    Copyright (c) 1999
//Author:       Elwood Wray Johnson
//Organization: Object Data Management Group (ODMG)
//Description:  Object Definition Language (ODL)

package org.odmg.odl.metaobjects;

import java.beans.*;
import org.odmg.oml.*;

public interface Class extends Interface
{
  public Class getExtender();
  public void setExtender(Class newExtender);
  static final public FeatureDescriptor extenderInverse =
    Relationship.Inverse.getDescriptor(Class.class, "extensions");

  public void setExtensions(DSet newExtensions);
  public DSet getExtensions();
  static final public FeatureDescriptor extensionsInverse =
    Relationship.Inverse.getDescriptor(Class.class, "extender");

  public String extents[] = null;

  public String keys [] = null;
}
