//Title:        ConstOperand (interface)
//Version:      0.1
//Copyright:    Copyright (c) 1999
//Author:       Elwood Wray Johnson
//Organization: Object Data Management Group (ODMG)
//Description:  Object Definition Language (ODL)

package org.odmg.odl.metaobjects;

import java.beans.*;

public interface ConstOperand extends Operand
{
  public void setReferences(Constant newReferences);
  public Constant getReferences();
  static final public FeatureDescriptor referencesInverse =
    Relationship.Inverse.getDescriptor(Constant.class, "referencedBy");
}
