//Title:        Property (interface)
//Version:      0.1
//Copyright:    Copyright (c) 1999
//Author:       Elwood Wray Johnson
//Organization: Object Data Management Group (ODMG)
//Description:  Object Definition Language (ODL)

package org.odmg.odl.metaobjects;

import java.beans.*;

public interface Property extends MetaObject
{
  public void setType(Type newType);
  public Type getType();
  static final public FeatureDescriptor typeInverse =
    Relationship.Inverse.getDescriptor(Type.class, "properties");
}
