//Title:        Structure (interface)
//Version:      0.1
//Copyright:    Copyright (c) 1999
//Author:       Elwood Wray Johnson
//Organization: Object Data Management Group (ODMG)
//Description:  Object Definition Language (ODL)

package org.odmg.odl.metaobjects;

import java.beans.*;
import org.odmg.oml.*;

public interface Structure extends ScopedType
{
  public DList getFields();
  public void setFields(DList newList);
    static final public FeatureDescriptor fieldsInverse =
      Relationship.Inverse.getDescriptor(Member.class, "structureType");

  public Exception getExceptionResult();
  public void setExceptionResult(Exception newExceptionResult);
  static final public FeatureDescriptor exceptionResultInverse =
    Relationship.Inverse.getDescriptor(Exception.class, "result");
}
