//Title:        Transaction (interface)
//Version:      0.1
//Copyright:    Copyright (c) 1999
//Author:       Elwood Wray Johnson
//Organization: Object Data Management Group (ODMG)
//Description:  Object Definition Language (ODL)

package org.odmg.odl.metaobjects;

public interface Transaction
{
  class TransactionInProgress extends java.lang.Exception
  {
  }
  class TransactionNotInProgress extends java.lang.Exception
  {
  }
  public void begin() throws TransactionInProgress;
  public void commit() throws TransactionNotInProgress;
  public void abort() throws TransactionNotInProgress;
  public void checkpoint() throws TransactionNotInProgress;
  public void join();
  public void leave();
  public boolean isOpen();
}
