//Title:        Union (interface)
//Version:      0.1
//Copyright:    Copyright (c) 1999
//Author:       Elwood Wray Johnson
//Organization: Object Data Management Group (ODMG)
//Description:  Object Definition Language (ODL)

package org.odmg.odl.metaobjects;

import java.beans.*;
import org.odmg.oml.*;

public interface Union extends ScopedType
{
  public Type getSwitchType();
  public void setSwitchType(Type newSwitchType);
  static final public FeatureDescriptor switchTypeInverse =
    Relationship.Inverse.getDescriptor(Type.class, "unions");

  public DList getCases();
  void setCases(DList newList);
  static final public FeatureDescriptor casesInverse =
    Relationship.Inverse.getDescriptor(UnionCase.class, "unionType");
}
