//Title:        UnionCase (interface)
//Version:      0.1
//Copyright:    Copyright (c) 1999
//Author:       Elwood Wray Johnson
//Organization: Object Data Management Group (ODMG)
//Description:  Object Definition Language (ODL)

package org.odmg.odl.metaobjects;

import java.beans.*;
import org.odmg.oml.*;

public interface UnionCase extends Specifier
{
  public Union getUnionType();
  public void setUnionType(Union newUnionType);
  static final public FeatureDescriptor unionTypeInverse =
    Relationship.Inverse.getDescriptor(Union.class, "cases");

  public DList getCaseLabels();
  void setCaseLabels(DList newList);
  static final public FeatureDescriptor caseLabelsInverse =
    Relationship.Inverse.getDescriptor(Operand.class, "caseIn");
}
