//Title:        DBag (interface)
//Version:      0.1
//Copyright:    Copyright (c) 1998
//Author:       Elwood Wray Johnson
//Organization: Object Data Management Group (ODMG)
//Description:  Object Manipulation Language (OML)

package org.odmg.oml;

import org.odmg.odl.metaobjects.*;

public interface DBag extends DCollection
{
  static CollectionKind collectionKind = CollectionKind.ckBag;

  public DBag union(DBag otherBag);

  public DBag intersection(DBag otherBag);

  public DBag difference(DBag otherBag);

  public int occurrences(java.lang.Object obj);
}
