//Title:        DCollection (interface)
//Version:      0.1
//Copyright:    Copyright (c) 1998
//Author:       Elwood Wray Johnson
//Organization: Object Data Management Group (ODMG)
//Description:  Object Manipulation Language (OML)

package org.odmg.oml;

import org.odmg.odl.metaobjects.*;

public abstract interface DCollection extends java.util.Collection
{
  public java.lang.Object selectElement(String predicate)
    throws QueryInvalidException;

  public java.util.Iterator select(String predicate)
    throws QueryInvalidException;

  public DCollection query(String predicate)
    throws QueryInvalidException;

  public java.util.Iterator existsElement(String predicate)
    throws QueryInvalidException;
}
